import {ContentType, HttpClient, RequestParams} from "/@/api/admin/http-client";
import {oilSdkAuthorDtoResult, oilSdkAuthorPostPageDto} from "/@/api/admin/deviceAuthorization/oilSdkAuthorDto";

export class OilSdkAuthor<SecurityDataType = unknown> extends HttpClient<SecurityDataType>{

 /**
 * No description
 *
 * @tags
 * @name
 * @summary 分页查询
 * @request GET:
 * @secure
 */
 getPageData = (data: oilSdkAuthorPostPageDto, params: RequestParams = {}) =>
    this.request<oilSdkAuthorDtoResult, any>({
     path:'/api/app/fueiling-sdk-auth/get-page',
     method: 'POST',
     body: data,
     secure: true,
     type: ContentType.Json,
     format: 'json',
     ...params,
   })
}
